@font-face {
    font-family: 'Craftwork Grotesk';
    src: url('./font/CraftworkGrotesk-Regular.ttf') format('ttf');
    font-weight: 400;
    font-style: normal;
}
@font-face {
    font-family: 'Craftwork Grotesk';
    src: url('./font/CraftworkGrotesk-SemiBold.ttf') format('ttf');  
    font-weight: 600;
    font-style: normal;
}
@font-face {
    font-family: 'Craftwork Grotesk';
    src: url('./font/CraftworkGrotesk-Bold.ttf') format('ttf');
    font-weight: 700;
    font-style: normal;
}
@keyframes fadeInUp {
    0% { transform: translateY(40px); opacity: 0; }
    100% { transform: translateY(0); opacity: 1; }
}
@keyframes jiggle {
  0% { transform: rotate(0deg); }
  25% { transform: rotate(1deg); }
  50% { transform: rotate(0eg); }
  75% { transform: rotate(-1deg); }
  100% { transform: rotate(0deg); }

}
:root {
    --blue: #e7f4fa;
    --bg: #f6fbff;
    --accent: #2a69ac;
    --white: #fff;
    --dark: #232323;
    --accent-bg: #dbf2ff;
    --radius-m: 20px;
    --radius-xl: 48px;
    --spacing-m: 20px;
    --spacing-xl: 48px;
    --transition: 0.4s cubic-bezier(.25,.8,.25,1);
}
* {
    box-sizing: border-box;
}
html, body {
    width: 100%;
    margin: 0;
    padding: 0;
    font-family: 'Craftwork Grotesk';
    background: var(--bg);
    color: var(--dark);
}
body {
    font-size: 18px;
    font-weight: 400;
    line-height: 28px;
}
h1, h2, h3, h4 {
    font-family: 'Craftwork Grotesk';
    margin: 0;
    margin-block-start: 0;
    margin-block-end: 0;
}
h1, h2, h3 {
    letter-spacing: -0.02em;
}
h1 {
    font-size: 48px;
    font-weight: 700;
    line-height: 64px;
}
h2, h3, h4 {
    font-weight: 600; 
}
h2 { 
    font-size: 48px; 
    line-height: 56px;
}
h3 { 
    font-size: 28px;  
    line-height: 32px;
}
h4 { 
    font-size: 20px; 
    line-height: 28px;
}
p {
    margin: 0;
    padding: 0;
}
section, footer {
    max-width: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
section {
    position: relative;
    margin-bottom: 120px;
}
.snowflake {
    position: absolute;
    width: 240px;
    height: 480px;
    top: 0;
    background: url(./img/bg-snowflake.png);
}
.sf-right {
    right: 0px;
}
.sf-left {
    left: 0px;
    background-position: right;
}
.container, .section-row, .section-col, .section-row-nogap, .section-row-full, .section-col-full {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.container {
    max-width: 1240px;
    align-items: center;
    padding: 0 8px;
}
.container, .section-col-full {
    gap: 48px;
}
.container, .section-col {
    flex-direction: column;
}
.section-col, .section-col-full {
    align-items: center;
}
.section-row, .section-row-nogap, .section-row-full {
    flex-direction: row;
}
.section-col, .section-row, .section-row-full {
    gap: 24px;
}
.section-row h2 {
    max-width: 392px;
    min-width: 304px;
    width: 100%;
}
.section-row-full {
    padding: 0 8px;
}
.section-description {
    max-width: 808px;
    min-width: 50%;
    width: 100%;
}
.card-small {
    background: var(--accent-bg);
    padding: var(--spacing-m);
}
.card-small, .gallery-img {
    border-radius: var(--radius-m);
    animation: fadeInUp 1s ease;
    box-shadow: 0 2px 10px -7px #cbdade75;
    transition: box-shadow var(--transition), transform var(--transition);
}
.card-small, .card-big, .gallery-img {
    z-index: 1;
}
.card-small:hover, .gallery-img:hover {
    box-shadow: 0 5px 30px -10px #d7b7ff99;
    transform: scale(1.04);
}
.abs-img {
    position: absolute;
    left: 50%;
    transform: translate(-50%);
    width: 100%;
    height: 100%;
    display: block;
}
.abs-img, .gallery-img, .holiday-img {
    object-fit: cover;
}
button {
font-family: 'Craftwork Grotesk';
font-size: 18px; 
line-height: 24px;
margin: 0;
padding: 14px 28px;
border: none;
border-radius: 30px;
background: 5175BE;
background: linear-gradient(180deg, rgba(81, 117, 190, 1) 0%, rgba(59, 86, 139, 1) 28%, rgba(38, 54, 88, 1) 100%);
color: #fff;
font-weight: 700;
cursor: pointer;
transition: background var(--transition);
font-size: 1rem;
}

/* Hero Section */


/* Why not Ded Moroz Section */
.card-big {
    flex: 1;
    background: var(--accent-bg);
    border-radius: var(--radius-xl);
    width: 100%;
    max-width: 600px;
    padding: 300px 48px 48px 48px;
    margin-top: 200px;
    position: relative;
    box-shadow: 0 2px 12px -6px #a4c3df45;
    transition: box-shadow var(--transition), transform var(--transition);
}
.card-big:hover, .hero button:hover {
    box-shadow: 0 7px 24px -10px #478ecd65;
    transform: translateY(-2px) scale(1.018);
}
.mykolay,.moroz {
    top: -200px;
    max-width: 500px;
    max-height: 500px;
}
.mykolay { background: url(./img/hero-nick.png) center/cover no-repeat; }
.moroz { background: url(./img/hero-moroz.png) center/cover no-repeat; }
.card-big h3 {
    text-align: center;
    padding-bottom: 24px;
}
.features-list {
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
    list-style: none;
    margin-block-start: 0;
    margin-block-end: 0;
    padding-inline-start: 0px;
}
.features-list li {
    margin-bottom: 8px;
    position: relative;
}
li h4 {
    display: flex;
    align-items: center;
}
li h4.good:before, li h4.bad:before {
    width: 40px;
    height: 40px;
    content: " ";
    margin-right: 8px;
}
li h4.good:before { background: url(./img/list-ball.png); }
li h4.bad:before { background: url(./img/list-poop.png); }

/* Ukrainian Holidays Section */
.holiday-item {
    max-width: 808px;
    width: 100%;
    display: flex;
    align-items: center;
}
.holiday-img {
    width: 200px;
    height: 200px;
    border-radius: 8px;
    flex-shrink: 0;
}
.card-content {
    display: flex;
    flex-direction: column;
    gap: 12px;
}
.holiday-mykolay { background: url(./img/holiday-mykolay.png) center/cover no-repeat; }
.holiday-sviatvechir { background: url(./img/holiday-sviatvechir.png) center/cover no-repeat; }
.holiday-rizdvo { background: url(./img/holiday-rizdvo.png) center/cover no-repeat; }
.holiday-malanka { background: url(./img/holiday-malanka.png) center/cover no-repeat; }
.holiday-newyear { background: url(./img/holiday-newyear.png) center/cover no-repeat; }

/* How it Works Section */
.how-item {
width: 100%;
max-width: 246px;
text-align: center;
}
.how-img {
    width: 200px;
    height: 200px;
}
.math-container {
    display: flex;
    align-items: center;
    animation: fadeInUp 2s ease;
}
.plus, .equal {
    width: 80px;
    height: 80px;
}
.plus { background: url(./img/math-plus.png) center/cover no-repeat; }
.equal { background: url(./img/math-equals.png) center/cover no-repeat; }
.how-horse { background: url(./img/how-horse.png) center/cover no-repeat; }
.how-lollypop { background: url(./img/how-lollipop.png) center/cover no-repeat; }
.how-crayons { background: url(./img/how-crayons.png) center/cover no-repeat; }
.how-present { background: url(./img/how-present.png) center/cover no-repeat; }  

/* Take Part Section */
.take-part-item {
    width: 100%;
    max-width: 392px;
    text-align: center;
    position: relative;
    padding-top: 216px;
    margin-top: 64px;
}
.take-part-img {
    top: -64px;
    max-width: 280px;
    max-height: 280px;
}
.take-part-item button {
  animation: jiggle 0.75s ease-in-out infinite;
}
.take-part-item button:hover {
  animation: pause;
}
.take-part-toy { background: url(./img/take-part-lego.png) center/cover no-repeat; }
.take-part-goods { background: url(./img/take-part-bag.png) center/cover no-repeat; }
.take-part-sweets { background: url(./img/take-part-candies.png) center/cover no-repeat; }

/* How is was in 2024 Section */
.gallery-img {
width: 240px; 
height: 180px;
}


/* Our Partners Section */
.partner-item {
    max-width: 288px;
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 12px;
}
.partner-item h4 {
    text-align: center;
}
.partner-logo {
    width: 240px;
    height: 160px;
    object-fit: contain;
}
.partner-biskvit { background: url(./img/partner-biskvit.png) center/cover no-repeat; }
.partner-kava { background: url(./img/partner-kava.png) center/cover no-repeat; }
.partner-aim { background: url(./img/partner-aim.png) center/cover no-repeat; }
.partner-uhelpis { background: url(./img/partner-uhelpis.png) center/cover no-repeat; }

/* Footer */


/* Responciveness */


/* Images @2 for Retina */
@media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 192dpi) {
    .sf-left { background: url(./img/@2/bg-snowflake@2.png) right / cover no-repeat; }
    .sf-right { background: url(./img/@2/bg-snowflake@2.png) left / cover no-repeat; }
    .mykolay { background: url(./img/@2/hero-nick@2.png) center/cover no-repeat; }
    .moroz { background: url(./img/@2/hero-moroz@2.png) center/cover no-repeat; }
    li h4.good:before { background: url(./img/@2/list-ball@2.png) center/cover no-repeat; }
    li h4.bad:before { background: url(./img/@2/list-poop@2.png) center/cover no-repeat; }
    .holiday-mykolay { background: url(./img/@2/holiday-mykolay@2.png) center/cover no-repeat; }
    .holiday-sviatvechir { background: url(./img/@2/holiday-sviatvechir@2.png) center/cover no-repeat; }
    .holiday-rizdvo { background: url(./img/@2/holiday-rizdvo@2.png) center/cover no-repeat; }
    .holiday-malanka { background: url(./img/@2/holiday-malanka@2.png) center/cover no-repeat; }
    .holiday-newyear { background: url(./img/@2/holiday-newyear@2.png) center/cover no-repeat; }
    .plus { background: url(./img/@2/math-plus@2.png) center/cover no-repeat; }
    .equal { background: url(./img/@2/math-equals@2.png) center/cover no-repeat; }
    .how-horse { background: url(./img/@2/how-horse@2.png) center/cover no-repeat; }
    .how-lollypop { background: url(./img/@2/how-lollipop@2.png) center/cover no-repeat; }
    .how-crayons { background: url(./img/@2/how-crayons@2.png) center/cover no-repeat; }
    .how-present { background: url(./img/@2/how-present@2.png) center/cover no-repeat; }    
    .take-part-toy  {background: url(./img/@2/take-part-lego@2.png) center/cover no-repeat; }
    .take-part-goods { background: url(./img/@2/take-part-bag@2.png) center/cover no-repeat; }
    .take-part-sweets { background: url(./img/@2/take-part-candies@2.png) center/cover no-repeat; }
    .partner-biskvit { background: url(./img/@2/partner-biskvit@2.png) center/cover no-repeat; }
    .partner-kava { background: url(./img/@2/partner-kava@2.png) center/cover no-repeat; }
    .partner-aim { background: url(./img/@2/partner-aim@2.png) center/cover no-repeat; }
    .partner-uhelpis { background: url(./img/@2/partner-uhelpis@2.png) center/cover no-repeat; }
}